Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589897 - Lost the network in a KVM VM on top of 4.9
Summary: Lost the network in a KVM VM on top of 4.9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.9
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Herbert Xu
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 589766 (view as bug list)
Depends On: 524651 554078
Blocks: 528898 589766 597310
TreeView+ depends on / blocked
 
Reported: 2010-05-07 08:53 UTC by Zhang Kexin
Modified: 2013-01-09 22:33 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 554078
Environment:
Last Closed: 2011-02-16 15:40:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
virtio: net refill on out-of-memory (deleted)
2010-05-14 12:06 UTC, Herbert Xu
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Comment 1 Linda Wang 2010-05-10 16:49:09 UTC
*** Bug 589766 has been marked as a duplicate of this bug. ***

Comment 2 Herbert Xu 2010-05-14 12:06:00 UTC
Created attachment 414033 [details]
virtio: net refill on out-of-memory

This is a back-port of

    virtio: net refill on out-of-memory

    If we run out of memory, use keventd to fill the buffer.  There's a
    report of this happening: "Page allocation failures in guest",
    Message-ID: <20090713115158.0a4892b0@mjolnir.ossman.eu>

    Signed-off-by: Rusty Russell <rusty@rustcorp.com.au>
    Signed-off-by: David S. Miller <davem@davemloft.net>

Comment 4 Zhang Kexin 2010-05-17 06:15:18 UTC
Hi Herbert, 

Could you please supply us with a kernel package?  Thanks!

Comment 5 RHEL Product and Program Management 2010-05-21 16:22:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Vivek Goyal 2010-05-27 15:03:00 UTC
Committed in 89.26.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 7 Keqin Hong 2010-05-28 08:43:06 UTC
Tested with 2.6.9-89.26.ELsmp, using the same method as in https://bugzilla.redhat.com/show_bug.cgi?id=554078#c5. The network didn't lost when OOM of guest occurred.

However, there might be a potential risk of killing other user space processes.
Consider the situation, ./srv was started on tty1, and a vi process was running on tty2. In such a case, the ./srv processes got killed when OOM occurred and tty1 got reset. As a result, I had to re-login tty1. What's worse, the vi process in tty2 got killed (tty2 did require re-login though).

"
Vim: Caught deadly signal TERM
Vim: Preserving files...
Vim: Finished.
Killed
"

Comment 8 Herbert Xu 2010-05-28 10:00:15 UTC
Thanks for testing.  And no, the OOM killer is not exactly a precision weapon.

Comment 14 Qunfang Zhang 2010-12-20 06:24:38 UTC
Verified this on kernel-2.6.9-93.ELsmp with the steps in https://bugzilla.redhat.com/show_bug.cgi?id=554078#c5. It passed.
Under the network stress, guest does not lose network, and I can ping guest from any other host.

Comment 15 Qunfang Zhang 2010-12-21 02:18:57 UTC
Reproduced on kernel-2.6.9-89.ELsmp, guest loses network with the same steps in https://bugzilla.redhat.com/show_bug.cgi?id=554078#c5.

Verified on kernel-2.6.9-93.ELsmp for both x86_64 and i386 RHEL4.9 guest.
Guests network are still available under high stress.

So, this issue is fixed.

Comment 17 errata-xmlrpc 2011-02-16 15:40:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.